/*
Theme Name: Browar Stara Owczarnia 
Theme URI: https://browarstaraowczarnia.rbcode.pl/
Author: Rbcode
Author URI: https://rbcode.pl
Template: astra 
Text Domain: astrachild
Domain Path: /languages
Tags: 
*/

/***************
FONTS
***************/

@font-face {
    font-family: "BIZUDPGothic-Regular";
    font-display: swap;
    src: url("fonts/BIZUDPGothic-Regular.ttf");
    font-style: "regular";
}

@font-face {
    font-family: "BIZUDGothic-Bold";
    font-display: swap;
    src: url("fonts/BIZUDGothic-Bold.ttf");
    font-style: "bold";
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "BIZUDPGothic-Regular" !important;
    color: var(--color-default);
}

a,
button,
input,
li,
ol,
p,
ul {
    font-family: "BIZUDPGothic-Regular" !important;
    font-size: 19px;
    color: var(--color-default);
    font-weight: 300;

}

 h1 {
    font-size: calc(2rem + .9vw)!important;
}

h2 {
    font-size: calc(1.25rem + .9vw)!important;
}

h3,
h4,
h5,
h6 {
    font-size: calc(1.05rem + .8vw)!important;
}


/***************
SCROLLBAR
***************/
::-webkit-scrollbar {
    width: 7px;
    background: var(--color-primary);
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background: var(--color-white);;
}

::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background: var(--color-primary-dark);
}


/***************
ASTRA THEME CHANGES
***************/
.ast-site-title-wrap span a {
	text-decoration:none;
}
input:focus, input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="reset"]:focus, input[type="search"]:focus, input[type="number"]:focus, textarea:focus, .wp-block-search__input:focus, [data-section="section-header-mobile-trigger"] .ast-button-wrap .ast-mobile-menu-trigger-minimal:focus, .ast-mobile-popup-drawer.active .menu-toggle-close:focus, .woocommerce-ordering select.orderby:focus, #ast-scroll-top:focus, #coupon_code:focus, .woocommerce-page #comment:focus, .woocommerce #reviews #respond input#submit:focus, .woocommerce a.add_to_cart_button:focus, .woocommerce .button.single_add_to_cart_button:focus, .woocommerce .woocommerce-cart-form button:focus, .woocommerce .woocommerce-cart-form__cart-item .quantity .qty:focus, .woocommerce .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus, .woocommerce #order_comments:focus, .woocommerce #place_order:focus, .woocommerce .woocommerce-address-fields .woocommerce-address-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus, .woocommerce .woocommerce-MyAccount-content form button:focus, .woocommerce .woocommerce-MyAccount-content .woocommerce-EditAccountForm .woocommerce-form-row .woocommerce-Input.input-text:focus, .woocommerce .ast-woocommerce-container .woocommerce-pagination ul.page-numbers li a:focus, body #content .woocommerce form .form-row .select2-container--default .select2-selection--single:focus, #ast-coupon-code:focus, .woocommerce.woocommerce-js .quantity input[type=number]:focus, .woocommerce-js .woocommerce-mini-cart-item .quantity input[type=number]:focus, .woocommerce p#ast-coupon-trigger:focus {
	border-style: none;
}
.entry-content p {
	margin-bottom:0;
}
#ast-scroll-top {
	margin-bottom:28px;
	margin-right:-20px;
}


/***************
NAVIGATION
***************/
.main-navigation {
	padding-right:6rem!important;
}
.site-header-focus-item {
	text-align:center;
}
.custom-logo-link {
	display:block;
}
.site-header-focus-item .site-logo-img {
	width:100px;
	display:block;
	margin:auto;
}
.ast-builder-menu-mobile .main-navigation .menu-item:hover > .menu-link, .ast-builder-menu-mobile .main-navigation .inline-on-mobile .menu-item:hover > .ast-menu-toggle {
	color:var(--color-white);
	background:var(--color-primary);
}


/***************
PAGE 'O NAS'
***************/
.about-us p, .about-us h2, .about-us h1 {
	text-align:center;
}
.about-us p {
	margin-bottom:1rem;
}
/***************
PAGE 'NASZE PIWA'
***************/
.modal-dialog {
	max-width:700px;
}

.btn-modal-close {
display: block;
  margin-left: auto;
  padding: 15px;
  border: 1px solid var(--color-primary);
  position: absolute;
  right: 0;
  top: 0;
  z-index: 9;
  border-radius: 0;
  background-color: var(--color-primary);
  opacity: 1;
}

/***************
PAGE 'GALERIA'
***************/
.eael-filter-gallery-control li.control {
	margin:0 10px;
}

/***************
PAGE 'KONTAKT'
***************/
p.kontakt, h2.kontakt{
	text-align:center;
	margin-bottom:1rem;
}

.kontakt i {
	font-size:30px;
}
/***************
MEDIA QUERIES
***************/
@media (max-width: 1199.98px)  {
	
	.main-navigation {
	padding-right:3rem!important;
	}
		#ast-hf-menu-1 li a {
		padding-left:30px; 
		padding-right:30px;
	}
}

@media (max-width: 991.98px)  {
	
	a,
	button,
	input,
	li,
	ol,
	p,
	ul {
		font-size: 16px;
	}
	
	.main-navigation {
	padding-right:0!important;
	}

	.ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link {
	color:var(--color-white);
	background:var(--color-primary);
	}
	
	#ast-scroll-top {
		margin-bottom:50px;
		margin-right:-15px;
	}
	
	.eael-filter-gallery-control li.control {
	margin:5px 8px;
	}
	
	#block-10 {
		display:none;
	}

}

@media (max-width: 767.98px)  {
	#block-10 {
		display:block;
	}
	.btn-modal-close {
		padding:10px;
	}
	
}